Bug 1105032 - Unable to deploy another storage node
Summary: Unable to deploy another storage node
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Storage Node
Version: 4.12
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
: RHQ 4.12
Assignee: John Sanda
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-05 09:16 UTC by Filip Brychta
Modified: 2014-12-15 11:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 11:36:08 UTC


Attachments (Terms of Use)
server log (61.57 KB, text/x-log)
2014-06-05 09:16 UTC, Filip Brychta
no flags Details
storage log from rhq server host (169.49 KB, text/x-log)
2014-06-05 09:17 UTC, Filip Brychta
no flags Details
storage log from addional storage host (53.44 KB, text/x-log)
2014-06-05 09:17 UTC, Filip Brychta
no flags Details

Description Filip Brychta 2014-06-05 09:16:19 UTC
Created attachment 902462 [details]
server log

Description of problem:
Deploying storage node fails with 
"InvalidQueryException: unconfigured columnfamily metrics_index"

Version-Release number of selected component (if applicable):
Version :	
4.12.0-SNAPSHOT
Build Number :	
7c05050

How reproducible:
2/2

Steps to Reproduce:
1. install rhq server with storage node (./rhqctl install) and start it
2. add another storege node on different host:
  a. ./rhqctl install --storage --agent-preference="rhq.agent.server.bind-address=<rhqServerHostIp>"
  b. ./rhqctl start

Actual results:
Cluster status of newly installed storage node visible on Administration->Storage Nodes is DOWN and following exception is thrown to server.log:
04:57:55,408 ERROR [org.jboss.as.ejb3.invocation] (EJB default - 10) JBAS014134: EJB Invocation failed on component StorageNodeOperationsHandlerBean for method public abstract void org.rhq.enterprise.server.storage.StorageNodeOperationsHandlerLocal.handlePrepareForBootstrap(org.rhq.core.domain.operation.ResourceOperationHistory): javax.ejb.EJBException: com.datastax.driver.core.exceptions.InvalidQueryException: unconfigured columnfamily metrics_index


Expected results:
No errors

Additional info:
server.log and storage logs attached
Additional attempt to deploy given storage node via UI ends with the same exception.

Comment 1 Filip Brychta 2014-06-05 09:17:00 UTC
Created attachment 902463 [details]
storage log from rhq server host

Comment 2 Filip Brychta 2014-06-05 09:17:28 UTC
Created attachment 902464 [details]
storage log from addional storage host

Comment 3 John Sanda 2014-06-06 15:43:55 UTC
This is a regression only in master, not in a previous RHQ release. It is due to the schema changes introduced in the jsanda/metrics-schema branch. There is code in StorageNodeOperationsHandlerBean that updates configuration of tables in Cassandra. The code tries to update the metrics_index table which has been dropped .

Comment 4 John Sanda 2014-06-06 20:17:22 UTC
Fix committed to master.

commit hash: 47454032b6

Comment 5 Filip Brychta 2014-06-09 10:40:00 UTC
Verified on
Version :	
4.12.0-SNAPSHOT
Build Number :	
4745403

Comment 6 Heiko W. Rupp 2014-12-15 11:36:08 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.